eoCheckPoint(3)

NAME
eoCheckPoint - eoCheckPoint is a container class.

SYNOPSIS

#include <eoCheckPoint.h>

Inherits eoContinue< EOT >< EOT >.

  Public Member Functions
eoCheckPoint (eoContinue< EOT > &_cont)
bool operator() (const eoPop< EOT > &_pop)
The pure virtual function that needs to be implemented by the subclass.
void add (eoContinue< EOT > &_cont)
void add (eoSortedStatBase< EOT > &_stat)
void add (eoStatBase< EOT > &_stat)
void add (eoMonitor &_mon)
void add (eoUpdater &_upd)
virtual std::string className (void) const
std::string allClassNames () const
returns a string with all className() of data separated with '\n' (for debugging)

  Private Attributes
std::vector< eoContinue< EOT > * > continuators
std::vector< eoSortedStatBase< EOT > * > sorted
std::vector< eoStatBase< EOT > * > stats
std::vector< eoMonitor * > monitors
std::vector< eoUpdater * > updaters

Detailed Description

  template<class EOT> class eoCheckPoint< EOT >
eoCheckPoint is a container class. It contains std::vectors of (pointers to) eoContinue (modif. MS July 16. 2002) eoStats, eoUpdater and eoMonitor it is an eoContinue, so its operator() will be called every generation - and will return the contained-combined-eoContinue result but before that it will call in turn every single {statistics, updaters, monitors} that it has been given, and after that, if stopping, all lastCall methods of the above.

Definition at line 46 of file eoCheckPoint.h.

Author

Generated automatically by Doxygen for EO from the source code.